Search Unity

  1. Unity support for visionOS is now available. Learn more in our blog post.
    Dismiss Notice

ML Brain 'null propagating operator'

Discussion in 'AI & Navigation Previews' started by boooels, Dec 19, 2018.

  1. boooels

    boooels

    Joined:
    Oct 26, 2018
    Posts:
    31
    So i got this issue:


    I honestly dont think the devs would push this without considering this, so im guessing i made a mistake somewhere along the line in darggin and dropping this in my project, any help would be amazing
     
  2. LennartJohansen

    LennartJohansen

    Joined:
    Dec 1, 2014
    Posts:
    2,394
    It probably needs .Net 4.x selected on player settings.
     
  3. boooels

    boooels

    Joined:
    Oct 26, 2018
    Posts:
    31
    In visual studios it says i need at least C# 6.0 or above, and from what ive gathered unity uses 4.0
     
  4. LennartJohansen

    LennartJohansen

    Joined:
    Dec 1, 2014
    Posts:
    2,394
    In 2018.3 selecting .net 4.x gives you c# 7.3
     
    boooels likes this.
  5. boooels

    boooels

    Joined:
    Oct 26, 2018
    Posts:
    31
    Oh, somehow ive missed that, ill give it a try right away

    [EDIT]: This seemed to fix it completely for me. Thanks for your time and help
     
    Last edited: Dec 20, 2018